/*
   File:        dstime.h
   Author(s):   Andrew Moore
   Created:     Thu Oct 30 13:15:22 EST 2003
   Description: Utilities for extracting timecodes from datsets (see utils/timestring.h for more info)
   Copyright (c) Carnegie Mellon University
*/

#ifndef dstime_H
#define dstime_H

#include "dsut.h"
#include "timestring.h"

ivec *mk_row_to_daycode_from_date_attnum(datset *ds,int date_attnum,
					 char **r_errmess);

ivec *mk_row_to_hmcode_from_time_attnum(datset *ds,int time_attnum,
					char **r_errmess);

ivec *mk_row_to_mincode_from_time_and_date_attnums(datset *ds,
						   int date_attnum,
						   int time_attnum,
						   char **r_errmess);


#endif /* ifndef dstime_H */
